View Issue Details

IDProjectCategoryView StatusLast Update
0011864FPCTextmode IDEpublic2009-08-23 22:03
ReporterHaozhun Jin Assigned ToMarco van de Voort  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.2 
Fixed in Version2.2.4 
Summary0011864: Impossible to compile a file in Free Pascal 2.2.2 i386 IDE without changing the default settings
DescriptionThe problem occurs in i386-win32 version. But others version probably have the same problem.

I choose 2.2.1 because there is not a choice of 2.2.2 in "Product Version".
It could be solved very easily but it makes an amount of users unable to use the IDE at all. Thus I choos major for the Severity.

When trying to compile in the IDE, a message is received:
  Compiler Messages
  Error: Illegal parameter: -Opentium3
When tries again, a different one is received:
  Compiler Messages
  Fatal: Unable to open file C:\FPC\2.2.2\bin\i386-win32\fp.cfg
  Fatal: Compilation aborted
This message is received if you tries another times.

The problems are:
1. the default setting in ÔÇťOptions-->Compilers-->Additional compiler args" is illegal. It should be "-Oppentium3" rather than "-Opentium3".
2. when Illegal parameter message is received, the fp.cfg wasn't correctly closed. Thus make it impossible to open it again before restarting the IDE. This wouldn't happen in daily uses. But it's a bug as well.

I believe problem 1 should be immediately solved and a revised version of FreePascal 2.2.2 for i386 should be published along. If it couldn't be done, an easy-to-be-noticed message of how this could be correct by users themselves should be put at the download page.

p.s. I wonder how this kind of problems could happen in a stable version. I believe this problem can be noticed by every user.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Relationships

has duplicate 0011865 closedMarco van de Voort -Opentium3 

Activities

Jonas Maebe

2008-08-13 09:27

manager   ~0021296

I've added 2.2.2 to the versions you can select now.

Marco van de Voort

2008-08-14 12:25

manager   ~0021333

Resolved. The next release won't have this problem

Issue History

Date Modified Username Field Change
2008-08-13 04:26 Haozhun Jin New Issue
2008-08-13 09:27 Jonas Maebe FPCOldBugId => 0
2008-08-13 09:27 Jonas Maebe Product Version 2.2.1 => 2.2.2
2008-08-13 09:27 Jonas Maebe Note Added: 0021296
2008-08-13 09:31 Vincent Snijders Relationship added has duplicate 0011865
2008-08-14 12:25 Marco van de Voort Status new => resolved
2008-08-14 12:25 Marco van de Voort Resolution open => fixed
2008-08-14 12:25 Marco van de Voort Assigned To => Marco van de Voort
2008-08-14 12:25 Marco van de Voort Note Added: 0021333
2009-03-16 00:07 Jonas Maebe Fixed in Version => 2.2.4
2009-08-23 22:03 Jonas Maebe Status resolved => closed